## org.eclipse.datatools.enablement.sybase.asa.loaders
Class SchemaASALoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader
          org.eclipse.datatools.enablement.sybase.asa.loaders.SchemaASALoader

    public class SchemaASALoader

extends SchemaASABaseLoader

Nested Class Summary
`static class` `SchemaASALoader.ASATableLoader`

Nested classes/interfaces inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader
`SchemaASABaseLoader.ASABaseRoutineLoader, SchemaASABaseLoader.ASABaseTableLoader, SchemaASABaseLoader.ASABaseUDTLoader, SchemaASABaseLoader.IndexWrapper`

Constructor Summary
`SchemaASALoader(SybaseASACatalogSchema catalogSchema)`

Method Summary

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader
`batchLoadIndices, batchLoadTriggers, loadIndices, loadRoutines, loadTables, loadUDTs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASALoader

    public SchemaASALoader(SybaseASACatalogSchema catalogSchema)